import { useState, useEffect } from 'react';
import { connect } from '@umijs/max';
import { ConfigProvider } from 'antd';
import PagesMainFeedbackTable from '@/components/Render/Main/Feedback/table'
import PagesMainFeedbackCreate from '@/components/Render/Main/Feedback/create'

const FeedbackPage: React.FC = ({ dispatch, openModel }: any) => {
    const [id, setId] = useState<number>(0);
    const getId = (value: number) => {
        setId(value)
    }

    useEffect(() => {
        if (!openModel.openModal) {
            setId(0)
        }
    }, [openModel.openModal])

    return (
        <>
            <ConfigProvider
                theme={{
                    token: {
                        colorPrimary: '#4FBE70',
                    }
                }}
            >
                <PagesMainFeedbackTable getId={getId}></PagesMainFeedbackTable>
                <PagesMainFeedbackCreate id={id}></PagesMainFeedbackCreate>
            </ConfigProvider>
        </>
    );
};


export default connect(({ openModel }: any) => ({
    openModel
}))(FeedbackPage);